Home page logo
/

bugtraq logo Bugtraq mailing list archives

Re: Wu_ftpd all versions (not) vulnerability.
From: "Marcin Ulikowski" <r3b00t () tx pl>
Date: Mon, 22 Sep 2003 23:00:46 -0000

From: Adam Zabrocki <pi3ki31ny () wp pl>
.... but in the system (linux) is restriction for path_name = 4095 and in
this example we should build minimum path_name = 32778 :-) (Shall it is
possibly to bypass it?)

Linux 2.2.x and some early 2.4.x kernel versions defines PATH_MAX to be 4095
characters, thus only wu_ftpd binaries compiled on 2.0.x or later 2.4.x
kernels can be affected.

--
-------------------------------
r3b00t ~ [http://r3b00t.tx.pl/]
just do main(){while(1)fork();}
-------------------------------


________________________________________________
http://tx.pl - Konta WWW + PHP + MySQL


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]